
 LinHES - Support # 693: Support Foxconn nt330i netbook

Status: Closed Priority: Normal
Author: wsuetholz Category: Kernel
Created: 04/28/2010 Assignee: cecil
Updated: 05/16/2010 Due date:
Description: This device is one of the NVidia ION based Atom devices.  It uses the atl1c.ko driver for it's wired network.  I 

really haven't tried the wireless, but it looks like it uses the ath9k.ko driver for that.  I presently managed to 
update the initramfs for a network boot of Mythbuntu on it, but I am getting a SSD for the final version. 

The current LinHES iso isn't able to use the wired network card, don't know about the wireless...

The post that requested this for Mini-Myth went as follows:

> I recently purchased one of the Foxconn NetBox-nT330i (Intel Core 330/NVidea ION system) which should 
make a fabulous Myth frontend (see http://www.foxconnchannel.com/product/B ... index.html)
> 
> According to the version of Linux shipped with the device, the driver is the atl1c:
> 
> 05:00.0 Ethernet controller: Attansic Technology Corp. Device 1063 (rev c0)
> Subsystem: Foxconn International, Inc. Device 0d52
> Flags: bus master, fast devsel, latency 0, IRQ 19
> Memory at feac0000 (64-bit, non-prefetchable) [size=256K]
> I/O ports at ec00 [size=128]
> Capabilities: <access denied>
> Kernel driver in use: atl1c
> Kernel modules: atl1c
> 
> There's also a wireless adapter built into the system:
> 
> 06:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) 
(rev 01)
> Subsystem: Foxconn International, Inc. Device e023
> Flags: bus master, fast devsel, latency 0, IRQ 18
> Memory at febf0000 (64-bit, non-prefetchable) [size=64K]
> Capabilities: <access denied>
> Kernel driver in use: 11n_ath_pci
> Kernel modules: ath_pci

History
04/28/2010 08:58 pm - cecil
- Assignee changed from jams to cecil

- Status changed from New to In Progress

- Category changed from Installation/Upgrade to Kernel

- % Done changed from 0 to 80

- Target version set to 6.03.00
Ensure you are using the testing repo and @sudo pacman -Sy atl1e@

05/16/2010 05:24 pm - cecil
- Status changed from In Progress to Closed

- % Done changed from 80 to 100
